#!/usr/bin/env python
# -*- coding: utf-8 -*-
# Author: Xu Jia (Sanfanling)   E-mail:xujia19@gmail.com
# Lisence: GPL-2.0
 
from PyQt4.QtCore import SIGNAL, SLOT
from PyQt4.QtGui import *

class chooseEngine(QDialog):
	
	def __init__(self, parent = None, *args):
        	QDialog.__init__(self, parent)
		
		self.setWindowTitle(_('Set the search engine'))
		mainLayout=QVBoxLayout(None)
		
		buttonBox = QDialogButtonBox(self)
		okButton = QPushButton(QIcon('./icon/ok.png'), _('Ok'))
		cancelButton = QPushButton(QIcon('./icon/cancel.png'), _('Cancel'))
        	buttonBox.addButton(okButton, QDialogButtonBox.AcceptRole)
        	buttonBox.addButton(cancelButton, QDialogButtonBox.RejectRole)
		
		layout2=QVBoxLayout(None)
		self.label=QLabel(_('Please choose the default search engine'),self)
		self.combo=QComboBox(self)
		self.searchNow=QCheckBox(_('Search internet immediately'),self)
		layout2.addWidget(self.label)
		layout2.addWidget(self.combo)
		layout2.addWidget(self.searchNow)
		
		mainLayout.addLayout(layout2)
		mainLayout.addWidget(buttonBox)
		
		self.setLayout(mainLayout)
		
		self.connect(buttonBox, SIGNAL('accepted()'), self, SLOT("accept()"))
		self.connect(buttonBox, SIGNAL('rejected()'), self, SLOT("reject()"))
