#!/usr/bin/env python
# -*- coding: utf-8 -*-
# Filename: defineEvent.py

from PyQt4.QtCore import QEvent


class playerEvent(QEvent):
	
	def __init__(self,playerSignal, playerStatus):
		QEvent.__init__(self, QEvent.Type(QEvent.User+1))
		self.playerSignal = playerSignal
		self.playerStatus = playerStatus


class netEvent(QEvent):
	
	def __init__(self,originalLrc, timeOut, netEncoder, fromAdvDown = False):
		QEvent.__init__(self, QEvent.Type(QEvent.User+2))
		self.originalLrc = originalLrc
		self.timeOut = timeOut
		self.netEncoder = netEncoder
		self.fromAdvDown = fromAdvDown


class userChooseEvent(QEvent):
	
	def __init__(self, alist, engine):
		QEvent.__init__(self, QEvent.Type(QEvent.User+3))
		self.alist = alist
		self.engine = engine


#class advancedUserChooseEvent(QEvent):

	#def __init__(self, alist, engine):
		#QEvent.__init__(self, QEvent.Type(QEvent.User+4))
		#self.alist = alist
		#self.engine = engine
