#!/usr/bin/env python
# -*- coding: utf-8 -*-
# Filename: helpBrowser.py
# Lisence: GPL-2.0

from PyQt4.QtCore import *
from PyQt4.QtGui import *

class helpBrowser(QDialog):
	
	def __init__(self, parent = None, *args):
        	QDialog.__init__(self, parent)
		self.setWindowTitle(_('Document browser'))
		self.setWindowIcon(QIcon('./icon/help.png'))
		self.label=QLabel(self)
		self.label.setText(_('Please choose:'))
		self.contentBro=browserView(self)
		self.itemBro=itemListView(self)
		MainWindowLayout=QVBoxLayout(self)
		layout1=QHBoxLayout(None)
		layout1.addWidget(self.label)
		layout1.addWidget(self.itemBro)
		layout2=QVBoxLayout(None,)
		layout2.addLayout(layout1)
		layout2.addWidget(self.contentBro)
		MainWindowLayout.addLayout(layout2)
		self.setMinimumSize(500,300)
		self.connect(self.itemBro,SIGNAL("activated(int)"),self.moveTo)
		
	def moveTo(self,f):
		self.contentBro.clear()
		if(f==0):
			fileName='./README'
		elif(f==1):
			fileName='./documents/document-zh.html'
		elif(f==2):
			fileName='./documents/document-en.html'
		elif(f==3):
			fileName='./COPYING'
		file=open(fileName)
		a=file.read()
		file.close()
			
		if(f==3 or f==0):
			self.contentBro.setPlainText(a.decode('utf8'))
		else:
			self.contentBro.setHtml(a.decode('utf8'))

class itemListView(QComboBox):
	
	def __init__(self, parent = None, *args):
        	QComboBox.__init__(self, parent)
		a=['README',_('Help document - Chinese'),_('Help document - English'),_('License')]
		for i in range(len(a)):
			self.insertItem(i,a[i])
		

class browserView(QTextBrowser):
	
	def __init__(self, parent = None, *args):
        	QTextBrowser.__init__(self, parent)
		self.setWordWrapMode(QTextOption.WordWrap)
		self.setHorizontalScrollBarPolicy(Qt.ScrollBarAlwaysOff)
		file=open('./README')
		a=file.read()
		file.close()
		self.setText(a.decode('utf8'))