#!/usr/bin/env python
# -*- coding: utf-8 -*-
# Filename: preferenceFilter.py
 
from PyQt4.QtCore import *
from PyQt4.QtGui import *


class preferenceFilter(QWidget):
	
	def __init__(self, parent = None, *args):
		QWidget.__init__(self, parent)
		mainLayout = QVBoxLayout(None)
		mainLayout.setContentsMargins(5, 10, 20, 200)
		self.filterCheckBox = QCheckBox(_('Enable filter function'), self)
		self.filterCheckBox.setChecked(True)
		self.filterCap = QCheckBox(_('Case insensitive'), self)
		self.comment = QLabel(_('(Filter keywords are separated by \"|\"; supporting regular expression)'), self)
		self.filterKeyWold = QLineEdit(self)
		mainLayout.addWidget(self.filterCheckBox)
		mainLayout.addWidget(self.filterCap)
		mainLayout.addWidget(self.comment)
		mainLayout.addWidget(self.filterKeyWold)
		self.setLayout(mainLayout)
		
		self.connect(self.filterCheckBox, SIGNAL("toggled(bool)"), self.filterChecked)

	def filterChecked(self,checked):
		if(checked):
			self.comment.setEnabled(True)
			self.filterKeyWold.setEnabled(True)
			self.filterCap.setEnabled(True)
		else:
			self.comment.setEnabled(False)
			self.filterKeyWold.setEnabled(False)
			self.filterCap.setEnabled(False)