#!/usr/bin/env python
# -*- coding: utf-8 -*-
# Filename: updateConfig.py


import ConfigParser, os

class updateConfig:
	
	def __init__(self):
		
		self.standard = ConfigParser.ConfigParser()
		self.standard.read('lrcShow-X.conf.example')
		self.old = ConfigParser.ConfigParser()
		self.old.read(os.path.expanduser('~/.lrcShow-X/lrcShow-X.conf'))
		
	
	def update(self):
		
		standard_sections = self.standard.sections()
		old_section = self.old.sections()
		
		for i in self.standard.sections():
			if(not self.old.has_section(i)):
				self.old.add_section(i)
		
		for j in self.standard.sections():
			for k in self.standard.options(j):
				if(not self.old.has_option(j, k)):
					self.old.set(j, k, self.standard.get(j, k))
		
		self.old.write(open(os.path.expanduser('~/.lrcShow-X/lrcShow-X.conf') ,'w'))
		
		#p=ConfigParser.ConfigParser()
		#p.read(os.path.expanduser('~/.lrcShow-X/lrcShow-X.conf'))
		
		#for i in self.section:
			#if(not p.has_section(i)):
				#p.add_section(i)

		#x=-1
		#for j in self.option:
			#x+=1
			#if(p.has_option('option',j)):
				#pass
			#else:
				#p.set('option',j,self.option_value[x])
				#p.write(open(os.path.expanduser('~/.lrcShow-X/lrcShow-X.conf') ,'w'))

		#y=-1
		#for r in self.shortcuts:
			#y+=1
			#if(p.has_option('shortcuts',r)):
				#pass
			#else:
				#p.set('shortcuts',r,self.shortcuts_value[y])
				#p.write(open(os.path.expanduser('~/.lrcShow-X/lrcShow-X.conf') ,'w'))

		#z = -1
		#for k in self.player:
			#z += 1
			#if(p.has_option('player', r)):
				#pass
			#else:
				#p.set('player', k, self.player_value[z])
				#p.write(open(os.path.expanduser('~/.lrcShow-X/lrcShow-X.conf') ,'w'))
